<?php

namespace Wsdl2Php;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'LanguageCodeList' => '\\Wsdl2Php\\StructType\\LanguageCodeList',
            'GetLanguagesResponse' => '\\Wsdl2Php\\StructType\\GetLanguagesResponse',
            'EncryptionType' => '\\Wsdl2Php\\StructType\\EncryptionType',
            'UsernameTokenType' => '\\Wsdl2Php\\StructType\\UsernameTokenType',
            'ExtranetUserType' => '\\Wsdl2Php\\StructType\\ExtranetUserType',
            'GetTokenSession' => '\\Wsdl2Php\\StructType\\GetTokenSession',
            'GetTokenSessionResponse' => '\\Wsdl2Php\\StructType\\GetTokenSessionResponse',
            'ResetPasswordFailed' => '\\Wsdl2Php\\StructType\\ResetPasswordFailed',
            'ResetPasswordFailedResponse' => '\\Wsdl2Php\\StructType\\ResetPasswordFailedResponse',
            'GetStartAutomatism' => '\\Wsdl2Php\\StructType\\GetStartAutomatism',
            'GetStartAutomatismResponse' => '\\Wsdl2Php\\StructType\\GetStartAutomatismResponse',
            'ConfirmResponse' => '\\Wsdl2Php\\StructType\\ConfirmResponse',
            'ConfirmResponseResponse' => '\\Wsdl2Php\\StructType\\ConfirmResponseResponse',
            'HasChangedResponse' => '\\Wsdl2Php\\StructType\\HasChangedResponse',
            'SelectForm' => '\\Wsdl2Php\\StructType\\SelectForm',
            'SelectFormResponse' => '\\Wsdl2Php\\StructType\\SelectFormResponse',
            'SelectPrintTemplate' => '\\Wsdl2Php\\StructType\\SelectPrintTemplate',
            'SelectPrintTemplateResponse' => '\\Wsdl2Php\\StructType\\SelectPrintTemplateResponse',
            'GetPlanningInfo' => '\\Wsdl2Php\\StructType\\GetPlanningInfo',
            'GetPlanningInfoResponse' => '\\Wsdl2Php\\StructType\\GetPlanningInfoResponse',
            'GetColInRecord' => '\\Wsdl2Php\\StructType\\GetColInRecord',
            'GetColInRecordResponse' => '\\Wsdl2Php\\StructType\\GetColInRecordResponse',
            'Display' => '\\Wsdl2Php\\StructType\\Display',
            'DisplayResponse' => '\\Wsdl2Php\\StructType\\DisplayResponse',
            'Create' => '\\Wsdl2Php\\StructType\\Create',
            'CreateResponse' => '\\Wsdl2Php\\StructType\\CreateResponse',
            'CreateFrom' => '\\Wsdl2Php\\StructType\\CreateFrom',
            'CreateFromResponse' => '\\Wsdl2Php\\StructType\\CreateFromResponse',
            'TransformInto' => '\\Wsdl2Php\\StructType\\TransformInto',
            'TransformIntoResponse' => '\\Wsdl2Php\\StructType\\TransformIntoResponse',
            'Modify' => '\\Wsdl2Php\\StructType\\Modify',
            'ModifyResponse' => '\\Wsdl2Php\\StructType\\ModifyResponse',
            'Update' => '\\Wsdl2Php\\StructType\\Update',
            'UpdateResponse' => '\\Wsdl2Php\\StructType\\UpdateResponse',
            'Print' => '\\Wsdl2Php\\StructType\\_Print',
            'PrintResponse' => '\\Wsdl2Php\\StructType\\PrintResponse',
            'Delete' => '\\Wsdl2Php\\StructType\\Delete',
            'DeleteResponse' => '\\Wsdl2Php\\StructType\\DeleteResponse',
            'SortType' => '\\Wsdl2Php\\StructType\\SortType',
            'SpecialParamListType' => '\\Wsdl2Php\\StructType\\SpecialParamListType',
            'Execute' => '\\Wsdl2Php\\StructType\\Execute',
            'ExecuteResponse' => '\\Wsdl2Php\\StructType\\ExecuteResponse',
            'DrillThrough' => '\\Wsdl2Php\\StructType\\DrillThrough',
            'DrillThroughResponse' => '\\Wsdl2Php\\StructType\\DrillThroughResponse',
            'ValidateResponse' => '\\Wsdl2Php\\StructType\\ValidateResponse',
            'ListeColType' => '\\Wsdl2Php\\StructType\\ListeColType',
            'Cancel' => '\\Wsdl2Php\\StructType\\Cancel',
            'CancelResponse' => '\\Wsdl2Php\\StructType\\CancelResponse',
            'List' => '\\Wsdl2Php\\StructType\\_List',
            'ListResponse' => '\\Wsdl2Php\\StructType\\ListResponse',
            'GetChart' => '\\Wsdl2Php\\StructType\\GetChart',
            'GetChartResponse' => '\\Wsdl2Php\\StructType\\GetChartResponse',
            'SelectItems' => '\\Wsdl2Php\\StructType\\SelectItems',
            'SelectItemsResponse' => '\\Wsdl2Php\\StructType\\SelectItemsResponse',
            'EnterReorderListModeResponse' => '\\Wsdl2Php\\StructType\\EnterReorderListModeResponse',
            'ReorderList' => '\\Wsdl2Php\\StructType\\ReorderList',
            'ReorderListResponse' => '\\Wsdl2Php\\StructType\\ReorderListResponse',
            'SetOrderList' => '\\Wsdl2Php\\StructType\\SetOrderList',
            'SetOrderListResponse' => '\\Wsdl2Php\\StructType\\SetOrderListResponse',
            'ReorderSubList' => '\\Wsdl2Php\\StructType\\ReorderSubList',
            'ReorderSubListResponse' => '\\Wsdl2Php\\StructType\\ReorderSubListResponse',
            'SetOrderSubList' => '\\Wsdl2Php\\StructType\\SetOrderSubList',
            'SetOrderSubListResponse' => '\\Wsdl2Php\\StructType\\SetOrderSubListResponse',
            'CalculationListType' => '\\Wsdl2Php\\StructType\\CalculationListType',
            'ColListType' => '\\Wsdl2Php\\StructType\\ColListType',
            'GetCalculation' => '\\Wsdl2Php\\StructType\\GetCalculation',
            'GetCalculationResponse' => '\\Wsdl2Php\\StructType\\GetCalculationResponse',
            'Search' => '\\Wsdl2Php\\StructType\\Search',
            'SearchResponse' => '\\Wsdl2Php\\StructType\\SearchResponse',
            'Request' => '\\Wsdl2Php\\StructType\\Request',
            'RequestResponse' => '\\Wsdl2Php\\StructType\\RequestResponse',
            'RequestParam' => '\\Wsdl2Php\\StructType\\RequestParam',
            'RequestParamResponse' => '\\Wsdl2Php\\StructType\\RequestParamResponse',
            'ExtendedRequest' => '\\Wsdl2Php\\StructType\\ExtendedRequest',
            'ExtendedRequestResponse' => '\\Wsdl2Php\\StructType\\ExtendedRequestResponse',
            'AutoComplete' => '\\Wsdl2Php\\StructType\\AutoComplete',
            'AutoCompleteResponse' => '\\Wsdl2Php\\StructType\\AutoCompleteResponse',
            'GetTemporalAutomatismResponse' => '\\Wsdl2Php\\StructType\\GetTemporalAutomatismResponse',
            'GetEndAutomatism' => '\\Wsdl2Php\\StructType\\GetEndAutomatism',
            'GetEndAutomatismResponse' => '\\Wsdl2Php\\StructType\\GetEndAutomatismResponse',
            'GetTableChild' => '\\Wsdl2Php\\StructType\\GetTableChild',
            'GetTableChildResponse' => '\\Wsdl2Php\\StructType\\GetTableChildResponse',
            'GetContentFolder' => '\\Wsdl2Php\\StructType\\GetContentFolder',
            'GetContentFolderResponse' => '\\Wsdl2Php\\StructType\\GetContentFolderResponse',
            'GetFolderListResponse' => '\\Wsdl2Php\\StructType\\GetFolderListResponse',
            'ModifyFolder' => '\\Wsdl2Php\\StructType\\ModifyFolder',
            'ModifyFolderResponse' => '\\Wsdl2Php\\StructType\\ModifyFolderResponse',
            'UpdateFolder' => '\\Wsdl2Php\\StructType\\UpdateFolder',
            'UpdateFolderResponse' => '\\Wsdl2Php\\StructType\\UpdateFolderResponse',
            'CreateFolderResponse' => '\\Wsdl2Php\\StructType\\CreateFolderResponse',
            'DeleteFolder' => '\\Wsdl2Php\\StructType\\DeleteFolder',
            'ValidateFolder' => '\\Wsdl2Php\\StructType\\ValidateFolder',
            'CancelFolder' => '\\Wsdl2Php\\StructType\\CancelFolder',
            'CloseFolderList' => '\\Wsdl2Php\\StructType\\CloseFolderList',
            'FilterType' => '\\Wsdl2Php\\StructType\\FilterType',
            'RequestMessage' => '\\Wsdl2Php\\StructType\\RequestMessage',
            'RequestMessageResponse' => '\\Wsdl2Php\\StructType\\RequestMessageResponse',
            'GetListMessage' => '\\Wsdl2Php\\StructType\\GetListMessage',
            'GetListMessageResponse' => '\\Wsdl2Php\\StructType\\GetListMessageResponse',
            'CloseMessageList' => '\\Wsdl2Php\\StructType\\CloseMessageList',
            'ModifyMessage' => '\\Wsdl2Php\\StructType\\ModifyMessage',
            'ModifyMessageResponse' => '\\Wsdl2Php\\StructType\\ModifyMessageResponse',
            'UpdateMessage' => '\\Wsdl2Php\\StructType\\UpdateMessage',
            'UpdateMessageResponse' => '\\Wsdl2Php\\StructType\\UpdateMessageResponse',
            'CreateMessage' => '\\Wsdl2Php\\StructType\\CreateMessage',
            'CreateMessageResponse' => '\\Wsdl2Php\\StructType\\CreateMessageResponse',
            'SendMessage' => '\\Wsdl2Php\\StructType\\SendMessage',
            'SendMessageResponse' => '\\Wsdl2Php\\StructType\\SendMessageResponse',
            'CancelMessage' => '\\Wsdl2Php\\StructType\\CancelMessage',
            'GetPJ' => '\\Wsdl2Php\\StructType\\GetPJ',
            'GetPJResponseType' => '\\Wsdl2Php\\StructType\\GetPJResponseType',
            'GetPJResponse' => '\\Wsdl2Php\\StructType\\GetPJResponse',
            'DeletePJ' => '\\Wsdl2Php\\StructType\\DeletePJ',
            'DeletePJResponse' => '\\Wsdl2Php\\StructType\\DeletePJResponse',
            'DataPJType' => '\\Wsdl2Php\\StructType\\DataPJType',
            'AddPJ' => '\\Wsdl2Php\\StructType\\AddPJ',
            'AddPJResponse' => '\\Wsdl2Php\\StructType\\AddPJResponse',
            'CheckRecipient' => '\\Wsdl2Php\\StructType\\CheckRecipient',
            'CheckRecipientResponse' => '\\Wsdl2Php\\StructType\\CheckRecipientResponse',
            'ZipPJ' => '\\Wsdl2Php\\StructType\\ZipPJ',
            'ZipPJResponse' => '\\Wsdl2Php\\StructType\\ZipPJResponse',
            'CheckCreateElement' => '\\Wsdl2Php\\StructType\\CheckCreateElement',
            'CheckCreateElementResponse' => '\\Wsdl2Php\\StructType\\CheckCreateElementResponse',
            'InitRecordFromMessage' => '\\Wsdl2Php\\StructType\\InitRecordFromMessage',
            'InitRecordFromMessageResponse' => '\\Wsdl2Php\\StructType\\InitRecordFromMessageResponse',
            'InitRecordFromAddress' => '\\Wsdl2Php\\StructType\\InitRecordFromAddress',
            'InitRecordFromAddressResponse' => '\\Wsdl2Php\\StructType\\InitRecordFromAddressResponse',
            'LastUnReadType' => '\\Wsdl2Php\\StructType\\LastUnReadType',
            'GetMailServiceStatusResponse' => '\\Wsdl2Php\\StructType\\GetMailServiceStatusResponse',
            'WithAutomaticResponse' => '\\Wsdl2Php\\StructType\\WithAutomaticResponse',
            'WithAutomaticResponseResponse' => '\\Wsdl2Php\\StructType\\WithAutomaticResponseResponse',
            'UsernameToken' => '\\Wsdl2Php\\StructType\\UsernameToken',
            'OptionDialogue' => '\\Wsdl2Php\\StructType\\OptionDialogue',
            'RecipientCheck' => '\\Wsdl2Php\\StructType\\RecipientCheck',
            'Action' => '\\Wsdl2Php\\StructType\\Action',
            'Form' => '\\Wsdl2Php\\StructType\\Form',
            'Element' => '\\Wsdl2Php\\StructType\\Element',
            'Filter' => '\\Wsdl2Php\\StructType\\Filter',
            'Count' => '\\Wsdl2Php\\StructType\\Count',
            'PlanningFilter' => '\\Wsdl2Php\\StructType\\PlanningFilter',
            'ValidateError' => '\\Wsdl2Php\\StructType\\ValidateError',
            'ConnectedUser' => '\\Wsdl2Php\\StructType\\ConnectedUser',
            'ConnectedExtranet' => '\\Wsdl2Php\\StructType\\ConnectedExtranet',
        );
    }
}
