<?php

namespace Wsdl2Php\ServiceType;

use \Wsdl2Php\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for all operations
 * @subpackage Services
 */
class Service extends AbstractSoapClientBase
{

    /**
     * @return string
     */
    public function getSoapHeaderReturnType()
    {
        return $this->outputHeaders['ReturnType'];
    }

    /**
     * @return string
     */
    public function getSoapHeaderActionContext()
    {
        return $this->outputHeaders['ActionContext'];
    }

    /**
     * @return string
     */
    public function getSoapHeaderXSDSchema()
    {
        return $this->outputHeaders['XSDSchema'];
    }

    /**
     * @return \Wsdl2Php\StructType\Action
     */
    public function getSoapHeaderAction()
    {
        return $this->outputHeaders['Action'];
    }

    /**
     * @return \Wsdl2Php\StructType\ConnectedUser
     */
    public function getSoapHeaderConnectedUser()
    {
        return $this->outputHeaders['ConnectedUser'];
    }

    /**
     * @return \Wsdl2Php\StructType\Form
     */
    public function getSoapHeaderForm()
    {
        return $this->outputHeaders['Form'];
    }

    /**
     * @return \Wsdl2Php\StructType\Element
     */
    public function getSoapHeaderElement()
    {
        return $this->outputHeaders['Element'];
    }


    /**
     * Sets the APIUUID SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param \Wsdl2Php\StructType\APIUUID $aPIUUID
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderAPIUUID(\Wsdl2Php\StructType\APIUUID $aPIUUID, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'APIUUID', $aPIUUID, $mustUnderstand, $actor);
    }
    /**
     * Sets the UsernameToken SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param \Wsdl2Php\StructType\UsernameTokenType $usernameToken
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderUsernameToken(\Wsdl2Php\StructType\UsernameTokenType $usernameToken, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'UsernameToken', $usernameToken, $mustUnderstand, $actor);
    }
    /**
     * Sets the SessionToken SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param $sessionToken
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderSessionToken($sessionToken, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'SessionToken', $sessionToken, $mustUnderstand, $actor);
    }
    /**
     * Sets the CustomerInfos SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param \Wsdl2Php\StructType\CustomerInfos $customerInfos
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderCustomerInfos(\Wsdl2Php\StructType\CustomerInfos $customerInfos, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'CustomerInfos', $customerInfos, $mustUnderstand, $actor);
    }
    /**
     * Sets the OptionDialogue SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param \Wsdl2Php\StructType\OptionDialogue $optionDialogue
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderOptionDialogue(\Wsdl2Php\StructType\OptionDialogue $optionDialogue, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'OptionDialogue', $optionDialogue, $mustUnderstand, $actor);
    }
    /**
     * Sets the APIUser SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param \Wsdl2Php\StructType\APIUser $aPIUser
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderAPIUser(\Wsdl2Php\StructType\APIUser $aPIUser, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'APIUser', $aPIUser, $mustUnderstand, $actor);
    }
    /**
     * Sets the ActionContext SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param string $actionContext
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderActionContext($actionContext, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'ActionContext', $actionContext, $mustUnderstand, $actor);
    }
    /**
     * Sets the AutoValidate SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param int $autoValidate
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderAutoValidate($autoValidate, $nameSpace = 'http://www.nout.fr/wsdl/SimaxService.wsdl/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'AutoValidate', $autoValidate, $mustUnderstand, $actor);
    }
    /**
     * Method to call the operation originally named AddPJ
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\AddPJ $parameters
     * @return \Wsdl2Php\StructType\AddPJResponse|bool
     */
    public function AddPJ(\Wsdl2Php\StructType\AddPJ $parameters)
    {
        try {
            $this->setResult($this->__soapCall('AddPJ', array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Cancel
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Cancel $parameters
     * @return \Wsdl2Php\StructType\CancelResponse|bool
     */
    public function Cancel(\Wsdl2Php\StructType\Cancel $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Cancel', array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CancelFolder
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CancelFolder $parameters
     * @return CancelFolderResponse|bool
     */
    public function CancelFolder(\Wsdl2Php\StructType\CancelFolder $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CancelFolder',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CancelMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CancelMessage $parameters
     * @return CancelMessageResponse|bool
     */
    public function CancelMessage(\Wsdl2Php\StructType\CancelMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CancelMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CheckCreateElement
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CheckCreateElement $parameters
     * @return \Wsdl2Php\StructType\CheckCreateElementResponse|bool
     */
    public function CheckCreateElement(\Wsdl2Php\StructType\CheckCreateElement $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CheckCreateElement',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CheckRecipient
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CheckRecipient $parameters
     * @return \Wsdl2Php\StructType\CheckRecipientResponse|bool
     */
    public function CheckRecipient(\Wsdl2Php\StructType\CheckRecipient $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CheckRecipient',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CloseFolderList
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CloseFolderList $parameters
     * @return CloseFolderListResponse|bool
     */
    public function CloseFolderList(\Wsdl2Php\StructType\CloseFolderList $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CloseFolderList',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CloseMessageList
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CloseMessageList $parameters
     * @return CloseMessageListResponse|bool
     */
    public function CloseMessageList(\Wsdl2Php\StructType\CloseMessageList $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CloseMessageList',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ConfirmResponse
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ConfirmResponse $parameters
     * @return \Wsdl2Php\StructType\ConfirmResponseResponse|bool
     */
    public function ConfirmResponse(\Wsdl2Php\StructType\ConfirmResponse $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ConfirmResponse',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Create
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Create $parameters
     * @return \Wsdl2Php\StructType\CreateResponse|bool
     */
    public function Create(\Wsdl2Php\StructType\Create $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Create',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CreateFolder
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param CreateFolder $createFolder
     * @return \Wsdl2Php\StructType\CreateFolderResponse|bool
     */
    public function CreateFolder($createFolder)
    {
        try {
            $this->setResult($this->__soapCall('CreateFolder', array($createFolder)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CreateFrom
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CreateFrom $parameters
     * @return \Wsdl2Php\StructType\CreateFromResponse|bool
     */
    public function CreateFrom(\Wsdl2Php\StructType\CreateFrom $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CreateFrom',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CreateMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\CreateMessage $parameters
     * @return \Wsdl2Php\StructType\CreateMessageResponse|bool
     */
    public function CreateMessage(\Wsdl2Php\StructType\CreateMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('CreateMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Delete
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Delete $parameters
     * @return \Wsdl2Php\StructType\DeleteResponse|bool
     */
    public function Delete(\Wsdl2Php\StructType\Delete $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Delete',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeleteFolder
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\DeleteFolder $parameters
     * @return DeleteFolderResponse|bool
     */
    public function DeleteFolder(\Wsdl2Php\StructType\DeleteFolder $parameters)
    {
        try {
            $this->setResult($this->__soapCall('DeleteFolder',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DeletePJ
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\DeletePJ $parameters
     * @return \Wsdl2Php\StructType\DeletePJResponse|bool
     */
    public function DeletePJ(\Wsdl2Php\StructType\DeletePJ $parameters)
    {
        try {
            $this->setResult($this->__soapCall('DeletePJ',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Disconnect
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param Disconnect $disconnect
     * @return DisconnectResponse|bool
     */
    public function Disconnect($disconnect)
    {
        try {
            $this->setResult($this->__soapCall('Disconnect', array($disconnect)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Display
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Display $parameters
     * @return \Wsdl2Php\StructType\DisplayResponse|bool
     */
    public function Display(\Wsdl2Php\StructType\Display $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Display',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DrillThrough
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\DrillThrough $parameters
     * @return \Wsdl2Php\StructType\DrillThroughResponse|bool
     */
    public function DrillThrough(\Wsdl2Php\StructType\DrillThrough $parameters)
    {
        try {
            $this->setResult($this->__soapCall('DrillThrough',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named EnterReorderListMode
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param EnterReorderListMode $enterReorderListMode
     * @return \Wsdl2Php\StructType\EnterReorderListModeResponse|bool
     */
    public function EnterReorderListMode($enterReorderListMode)
    {
        try {
            $this->setResult($this->__soapCall('EnterReorderListMode', array($enterReorderListMode)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Execute
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Execute $parameters
     * @return \Wsdl2Php\StructType\ExecuteResponse|bool
     */
    public function Execute(\Wsdl2Php\StructType\Execute $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Execute',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetCalculation
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetCalculation $parameters
     * @return \Wsdl2Php\StructType\GetCalculationResponse|bool
     */
    public function GetCalculation(\Wsdl2Php\StructType\GetCalculation $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetCalculation',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetChart
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetChart $parameters
     * @return \Wsdl2Php\StructType\GetChartResponse|bool
     */
    public function GetChart(\Wsdl2Php\StructType\GetChart $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetChart',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetColInRecord
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetColInRecord $parameters
     * @return \Wsdl2Php\StructType\GetColInRecordResponse|bool
     */
    public function GetColInRecord(\Wsdl2Php\StructType\GetColInRecord $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetColInRecord',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetContentFolder
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetContentFolder $parameters
     * @return \Wsdl2Php\StructType\GetContentFolderResponse|bool
     */
    public function GetContentFolder(\Wsdl2Php\StructType\GetContentFolder $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetContentFolder',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetEndAutomatism
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetEndAutomatism $parameters
     * @return \Wsdl2Php\StructType\GetEndAutomatismResponse|bool
     */
    public function GetEndAutomatism(\Wsdl2Php\StructType\GetEndAutomatism $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetEndAutomatism',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetFolderList
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetFolderList $getFolderList
     * @return \Wsdl2Php\StructType\GetFolderListResponse|bool
     */
    public function GetFolderList($getFolderList)
    {
        try {
            $this->setResult($this->__soapCall('GetFolderList', array($getFolderList)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetLanguages
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetLanguages $getLanguages
     * @return \Wsdl2Php\StructType\GetLanguagesResponse|bool
     */
    public function GetLanguages($getLanguages)
    {
        try {
            $this->setResult($this->__soapCall('GetLanguages', array($getLanguages)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetListMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetListMessage $parameters
     * @return \Wsdl2Php\StructType\GetListMessageResponse|bool
     */
    public function GetListMessage(\Wsdl2Php\StructType\GetListMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetListMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetMailServiceStatus
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetMailServiceStatus $getMailServiceStatus
     * @return \Wsdl2Php\StructType\GetMailServiceStatusResponse|bool
     */
    public function GetMailServiceStatus($getMailServiceStatus)
    {
        try {
            $this->setResult($this->__soapCall('GetMailServiceStatus', array($getMailServiceStatus)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetPJ
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetPJ $parameters
     * @return \Wsdl2Php\StructType\GetPJResponse|bool
     */
    public function GetPJ(\Wsdl2Php\StructType\GetPJ $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetPJ',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetPlanningInfo
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetPlanningInfo $parameters
     * @return \Wsdl2Php\StructType\GetPlanningInfoResponse|bool
     */
    public function GetPlanningInfo(\Wsdl2Php\StructType\GetPlanningInfo $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetPlanningInfo',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetStartAutomatism
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetStartAutomatism $parameters
     * @return \Wsdl2Php\StructType\GetStartAutomatismResponse|bool
     */
    public function GetStartAutomatism(\Wsdl2Php\StructType\GetStartAutomatism $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetStartAutomatism',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetTableChild
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetTableChild $parameters
     * @return \Wsdl2Php\StructType\GetTableChildResponse|bool
     */
    public function GetTableChild(\Wsdl2Php\StructType\GetTableChild $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetTableChild',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetTemporalAutomatism
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetTemporalAutomatism $getTemporalAutomatism
     * @return \Wsdl2Php\StructType\GetTemporalAutomatismResponse|bool
     */
    public function GetTemporalAutomatism($getTemporalAutomatism)
    {
        try {
            $this->setResult($this->__soapCall('GetTemporalAutomatism', array($getTemporalAutomatism)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetTokenSession
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\GetTokenSession $parameters
     * @return \Wsdl2Php\StructType\GetTokenSessionResponse|bool
     */
    public function GetTokenSession(\Wsdl2Php\StructType\GetTokenSession $parameters)
    {
        try {
            $this->setResult($this->__soapCall('GetTokenSession', array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named HasChanged
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param HasChanged $hasChanged
     * @return \Wsdl2Php\StructType\HasChangedResponse|bool
     */
    public function HasChanged($hasChanged)
    {
        try {
            $this->setResult($this->__soapCall('HasChanged', array($hasChanged)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InitRecordFromAddress
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, ActionContext, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\InitRecordFromAddress $parameters
     * @return \Wsdl2Php\StructType\InitRecordFromAddressResponse|bool
     */
    public function InitRecordFromAddress(\Wsdl2Php\StructType\InitRecordFromAddress $parameters)
    {
        try {
            $this->setResult($this->__soapCall('InitRecordFromAddress',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named InitRecordFromMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, ActionContext, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\InitRecordFromMessage $parameters
     * @return \Wsdl2Php\StructType\InitRecordFromMessageResponse|bool
     */
    public function InitRecordFromMessage(\Wsdl2Php\StructType\InitRecordFromMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('InitRecordFromMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named List
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\_List $parameters
     * @return \Wsdl2Php\StructType\ListResponse|bool
     */
    public function _List(\Wsdl2Php\StructType\_List $parameters)
    {
        try {
            $this->setResult($this->__soapCall('List',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Modify
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Modify $parameters
     * @return \Wsdl2Php\StructType\ModifyResponse|bool
     */
    public function Modify(\Wsdl2Php\StructType\Modify $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Modify',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ModifyFolder
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ModifyFolder $parameters
     * @return \Wsdl2Php\StructType\ModifyFolderResponse|bool
     */
    public function ModifyFolder(\Wsdl2Php\StructType\ModifyFolder $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ModifyFolder',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ModifyMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ModifyMessage $parameters
     * @return \Wsdl2Php\StructType\ModifyMessageResponse|bool
     */
    public function ModifyMessage(\Wsdl2Php\StructType\ModifyMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ModifyMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Print
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\_Print $parameters
     * @return \Wsdl2Php\StructType\PrintResponse|bool
     */
    public function _Print(\Wsdl2Php\StructType\_Print $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Print',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ReorderList
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ReorderList $parameters
     * @return \Wsdl2Php\StructType\ReorderListResponse|bool
     */
    public function ReorderList(\Wsdl2Php\StructType\ReorderList $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ReorderList',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ReorderSubList
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ReorderSubList $parameters
     * @return \Wsdl2Php\StructType\ReorderSubListResponse|bool
     */
    public function ReorderSubList(\Wsdl2Php\StructType\ReorderSubList $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ReorderSubList',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Request
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Request $parameters
     * @return \Wsdl2Php\StructType\RequestResponse|bool
     */
    public function Request(\Wsdl2Php\StructType\Request $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Request',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RequestMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, ActionContext, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\RequestMessage $parameters
     * @return \Wsdl2Php\StructType\RequestMessageResponse|bool
     */
    public function RequestMessage(\Wsdl2Php\StructType\RequestMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('RequestMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ExtendedRequest
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ExtendedRequest $parameters
     * @return \Wsdl2Php\StructType\ExtendedRequestResponse|bool
     */
    public function ExtendedRequest(\Wsdl2Php\StructType\ExtendedRequest $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ExtendedRequest',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RequestParam
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\RequestParam $parameters
     * @return \Wsdl2Php\StructType\RequestParamResponse|bool
     */
    public function RequestParam(\Wsdl2Php\StructType\RequestParam $parameters)
    {
        try {
            $this->setResult($this->__soapCall('RequestParam',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named AutoComplete
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\AutoComplete $parameters
     * @return \Wsdl2Php\StructType\AutoCompleteResponse|bool
     */
    public function AutoComplete(\Wsdl2Php\StructType\AutoComplete $parameters)
    {
        try {
            $this->setResult($this->__soapCall('AutoComplete',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ResetPasswordFailed
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, CustomerInfos
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\CustomerInfos
     * - SOAPHeaders : optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ResetPasswordFailed $parameters
     * @return \Wsdl2Php\StructType\ResetPasswordFailedResponse|bool
     */
    public function ResetPasswordFailed(\Wsdl2Php\StructType\ResetPasswordFailed $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ResetPasswordFailed',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Search
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Search $parameters
     * @return \Wsdl2Php\StructType\SearchResponse|bool
     */
    public function Search(\Wsdl2Php\StructType\Search $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Search',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectForm
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\SelectForm $parameters
     * @return \Wsdl2Php\StructType\SelectFormResponse|bool
     */
    public function SelectForm(\Wsdl2Php\StructType\SelectForm $parameters)
    {
        try {
            $this->setResult($this->__soapCall('SelectForm',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectItems
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext
     * - SOAPHeaders : optional, required, required, optional, optional, required
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\SelectItems $parameters
     * @return \Wsdl2Php\StructType\SelectItemsResponse|bool
     */
    public function SelectItems(\Wsdl2Php\StructType\SelectItems $parameters)
    {
        try {
            $this->setResult($this->__soapCall('SelectItems',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectPrintTemplate
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\SelectPrintTemplate $parameters
     * @return \Wsdl2Php\StructType\SelectPrintTemplateResponse|bool
     */
    public function SelectPrintTemplate(\Wsdl2Php\StructType\SelectPrintTemplate $parameters)
    {
        try {
            $this->setResult($this->__soapCall('SelectPrintTemplate',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SendMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\SendMessage $parameters
     * @return \Wsdl2Php\StructType\SendMessageResponse|bool
     */
    public function SendMessage(\Wsdl2Php\StructType\SendMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('SendMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetOrderList
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\SetOrderList $parameters
     * @return \Wsdl2Php\StructType\SetOrderListResponse|bool
     */
    public function SetOrderList(\Wsdl2Php\StructType\SetOrderList $parameters)
    {
        try {
            $this->setResult($this->__soapCall('SetOrderList',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SetOrderSubList
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\SetOrderSubList $parameters
     * @return \Wsdl2Php\StructType\SetOrderSubListResponse|bool
     */
    public function SetOrderSubList(\Wsdl2Php\StructType\SetOrderSubList $parameters)
    {
        try {
            $this->setResult($this->__soapCall('SetOrderSubList',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named TransformInto
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\TransformInto $parameters
     * @return \Wsdl2Php\StructType\TransformIntoResponse|bool
     */
    public function TransformInto(\Wsdl2Php\StructType\TransformInto $parameters)
    {
        try {
            $this->setResult($this->__soapCall('TransformInto',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Update
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue,
     * \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\Update $parameters
     * @return \Wsdl2Php\StructType\UpdateResponse|bool
     */
    public function Update(\Wsdl2Php\StructType\Update $parameters)
    {
        try {
            $this->setResult($this->__soapCall('Update',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateFolder
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\UpdateFolder $parameters
     * @return \Wsdl2Php\StructType\UpdateFolderResponse|bool
     */
    public function UpdateFolder(\Wsdl2Php\StructType\UpdateFolder $parameters)
    {
        try {
            $this->setResult($this->__soapCall('UpdateFolder',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named UpdateMessage
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue, AutoValidate
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue, \Wsdl2Php\StructType\AutoValidate
     * - SOAPHeaders : optional, required, required, optional, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\UpdateMessage $parameters
     * @return \Wsdl2Php\StructType\UpdateMessageResponse|bool
     */
    public function UpdateMessage(\Wsdl2Php\StructType\UpdateMessage $parameters)
    {
        try {
            $this->setResult($this->__soapCall('UpdateMessage',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Validate
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, APIUser, CustomerInfos, ActionContext, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/,
     * http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\APIUser, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\ActionContext, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional, required, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param Validate $validate
     * @return \Wsdl2Php\StructType\ValidateResponse|bool
     */
    public function Validate($validate)
    {
        try {
            $this->setResult($this->__soapCall('Validate', array($validate)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ValidateFolder
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ValidateFolder $parameters
     * @return ValidateFolderResponse|bool
     */
    public function ValidateFolder(\Wsdl2Php\StructType\ValidateFolder $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ValidateFolder',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named WithAutomaticResponse
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\WithAutomaticResponse $parameters
     * @return \Wsdl2Php\StructType\WithAutomaticResponseResponse|bool
     */
    public function WithAutomaticResponse(\Wsdl2Php\StructType\WithAutomaticResponse $parameters)
    {
        try {
            $this->setResult($this->__soapCall('WithAutomaticResponse',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ZipPJ
     * Meta informations extracted from the WSDL
     * - SOAPHeaderNames : APIUUID, UsernameToken, SessionToken, CustomerInfos, OptionDialogue
     * - SOAPHeaderNamespaces : http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/, http://www.nout.fr/wsdl/SimaxService.wsdl/
     * - SOAPHeaderTypes : \Wsdl2Php\StructType\APIUUID, \Wsdl2Php\StructType\UsernameTokenType, string, \Wsdl2Php\StructType\CustomerInfos, \Wsdl2Php\StructType\OptionDialogue
     * - SOAPHeaders : optional, required, required, optional, optional
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Wsdl2Php\StructType\ZipPJ $parameters
     * @return \Wsdl2Php\StructType\ZipPJResponse|bool
     */
    public function ZipPJ(\Wsdl2Php\StructType\ZipPJ $parameters)
    {
        try {
            $this->setResult($this->__soapCall('ZipPJ',array($parameters)));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return CancelFolderResponse|CancelMessageResponse|CloseFolderListResponse|CloseMessageListResponse|DeleteFolderResponse|DisconnectResponse|ValidateFolderResponse|\Wsdl2Php\StructType\AddPJResponse|\Wsdl2Php\StructType\AutoCompleteResponse|\Wsdl2Php\StructType\CancelResponse|\Wsdl2Php\StructType\CheckCreateElementResponse|\Wsdl2Php\StructType\CheckRecipientResponse|\Wsdl2Php\StructType\ConfirmResponseResponse|\Wsdl2Php\StructType\CreateFolderResponse|\Wsdl2Php\StructType\CreateFromResponse|\Wsdl2Php\StructType\CreateMessageResponse|\Wsdl2Php\StructType\CreateResponse|\Wsdl2Php\StructType\DeletePJResponse|\Wsdl2Php\StructType\DeleteResponse|\Wsdl2Php\StructType\DisplayResponse|\Wsdl2Php\StructType\DrillThroughResponse|\Wsdl2Php\StructType\EnterReorderListModeResponse|\Wsdl2Php\StructType\ExecuteResponse|\Wsdl2Php\StructType\ExtendedRequestResponse|\Wsdl2Php\StructType\GetCalculationResponse|\Wsdl2Php\StructType\GetChartResponse|\Wsdl2Php\StructType\GetColInRecordResponse|\Wsdl2Php\StructType\GetContentFolderResponse|\Wsdl2Php\StructType\GetEndAutomatismResponse|\Wsdl2Php\StructType\GetFolderListResponse|\Wsdl2Php\StructType\GetLanguagesResponse|\Wsdl2Php\StructType\GetListMessageResponse|\Wsdl2Php\StructType\GetMailServiceStatusResponse|\Wsdl2Php\StructType\GetPJResponse|\Wsdl2Php\StructType\GetPlanningInfoResponse|\Wsdl2Php\StructType\GetStartAutomatismResponse|\Wsdl2Php\StructType\GetTableChildResponse|\Wsdl2Php\StructType\GetTemporalAutomatismResponse|\Wsdl2Php\StructType\GetTokenSessionResponse|\Wsdl2Php\StructType\HasChangedResponse|\Wsdl2Php\StructType\InitRecordFromAddressResponse|\Wsdl2Php\StructType\InitRecordFromMessageResponse|\Wsdl2Php\StructType\ListResponse|\Wsdl2Php\StructType\ModifyFolderResponse|\Wsdl2Php\StructType\ModifyMessageResponse|\Wsdl2Php\StructType\ModifyResponse|\Wsdl2Php\StructType\PrintResponse|\Wsdl2Php\StructType\ReorderListResponse|\Wsdl2Php\StructType\ReorderSubListResponse|\Wsdl2Php\StructType\RequestMessageResponse|\Wsdl2Php\StructType\RequestParamResponse|\Wsdl2Php\StructType\RequestResponse|\Wsdl2Php\StructType\ResetPasswordFailedResponse|\Wsdl2Php\StructType\SearchResponse|\Wsdl2Php\StructType\SelectFormResponse|\Wsdl2Php\StructType\SelectItemsResponse|\Wsdl2Php\StructType\SelectPrintTemplateResponse|\Wsdl2Php\StructType\SendMessageResponse|\Wsdl2Php\StructType\SetOrderListResponse|\Wsdl2Php\StructType\SetOrderSubListResponse|\Wsdl2Php\StructType\TransformIntoResponse|\Wsdl2Php\StructType\UpdateFolderResponse|\Wsdl2Php\StructType\UpdateMessageResponse|\Wsdl2Php\StructType\UpdateResponse|\Wsdl2Php\StructType\ValidateResponse|\Wsdl2Php\StructType\WithAutomaticResponseResponse|\Wsdl2Php\StructType\ZipPJResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }


}
